Skip to content
Start here

Retrieves a file from Binary Storage

client.cloudforceOne.binaryStorage.get(stringhash, BinaryStorageGetParams { account_id } params, RequestOptionsoptions?): void
GET/accounts/{account_id}/cloudforce-one/binary/{hash}

Retrieves a file from Binary Storage

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
hash: string

hash of the binary

params: BinaryStorageGetParams { account_id }
account_id: string

Account ID.

Retrieves a file from Binary Storage

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.cloudforceOne.binaryStorage.get('hash', { account_id: 'account_id' });
Returns Examples